/* Initiation Arduino

     led_poussoir01.ino

     introduction Pullup
     et commande de l'allumage et l'extinction de la led

    by Toulonux
    www.toulonux.org

*/

#define pinLed 3
#define pinBouton 8

void setup()  {
  pinMode(pinLed, OUTPUT);
  digitalWrite(pinLed, LOW);  
  pinMode(pinBouton, INPUT);
}

void loop() {

  int etat = digitalRead(pinBouton);  // Lecture de l'état de la pinBouton

  if (etat == LOW)                         // Si etat est à l'état LOW
  {
    digitalWrite(pinLed, HIGH);  // Allumer la LED
  }
  else                                               // Sinon
  {
    digitalWrite(pinLed, LOW);   // Eteindre la LED
  }
}
