/* Initiation Arduino

     led_poussoir03b.ino

     introduction Pullup
     et commande de l'allumage et l'extinction de la led
     Introduction du probleme du rebond

    on ajoute un delay et un drapeau d'etat (on gardera aussi le condensateur)

    by Toulonux
    www.toulonux.org

*/

#define pinLed 3
#define pinBouton 8

void setup()  {
  pinMode(pinLed, OUTPUT);
  digitalWrite(pinLed, LOW);
  pinMode(pinBouton, INPUT);
}

void loop() {
  
  char etat_Bp = 0;
  //lecture de l'etat de la pinBouton
  int val_btn = digitalRead(pinBouton);
  // si valeur LOW c'est que j'ai appuyé sur le btn
  if (val_btn == LOW)   {
    // attendre 10 ms
    delay(10);
    // j'enregistre le fait que j'ai appuyé
    etat_Bp = 1;
  }
   // relecture de l'etat de la pinBouton
  val_btn = digitalRead(pinBouton);
  // si valeur HIGH c'est que j'ai relaché le bouton et que etat precedent est 1
  if (etat_Bp == 1 && (val_btn  == HIGH)) {
    int val_led = digitalRead(pinLed);
    digitalWrite(pinLed, !val_led);
  }
}
